# $Revision: 1.38 $, $Date: 2012/03/28 07:28:12 $
Summary:	Spam/malware transparent SMTP proxy blocker
Summary(pl.UTF-8):	Transparentne proxy SMTP blokujące spam/wirusy
Name:		smtp-gated
Version:	1.4.17
Release:	3
License:	GPL v2
Group:		Networking/Daemons/SMTP
Source0:	http://smtp-proxy.klolik.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	1026f1cc926d4448a1e47e805c78e085
Source1:	%{name}.init
Source2:	%{name}.conf
Source3:	%{name}.tmpfiles
URL:		http://smtp-proxy.klolik.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libspf2-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	clamav
#Requires:	kernel(netfilter)
Provides:	user(smtpgw)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This software block SMTP sessions used by e-mail worms and viruses on
the NA(P)T router. It depends on netfilter framework of Linux.

It acts like proxy, intercepting outgoing SMTP connections and
scanning session data on-the-fly. When messages is infected, the SMTP
session is terminated. It's to be used (mostly) by ISPs, so they can
eliminate infected hosts from their network, and (preferably) educate
their users.

It's similar to clamsmtp and assp.

%description -l pl.UTF-8
To oprogramowanie blokuje sesje SMTP używane przez robaki i wirusy na
poziomie routerów z NA(P)T. Jest zależne od warstwy netfiltra
linuksowego kernela.

Działa jak proxy, przechwytując wychodzący ruch SMTP i skanując dane w
locie. Gdy wiadomość jest zainfekowana, sesja zostaje przerwana.
Oprogramowanie jest przeznaczone dla ISP, mogą nim wyeliminować
zainfekowane komputery ze swoich sieci.

Pełni podobną funkcję co clamsmtp i assp.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-lang=pl \
	--enable-nat \
	--enable-silent-econnreset \
	%{?debug:--enable-debugger}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8},/etc/{rc.d/init.d,sysconfig}} \
	$RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},/var/spool/%{name}/{lock,msg}} \
	$RPM_BUILD_ROOT{/var/run/%{name},/usr/lib/tmpfiles.d}

install src/smtp-gated $RPM_BUILD_ROOT%{_sbindir}
install doc/smtp-gated.8 $RPM_BUILD_ROOT%{_mandir}/man8
install doc/smtp-gated.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

install contrib/{fixed.conf,nat{,-advanced}.conf} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/smtp-gated
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

:> $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 147 -r -d %{_var}/spool/%{name} -s /bin/false -c "SMTP gateway" -g clamav smtpgw

%postun
if [ "$1" = "0" ]; then
	%userremove smtpgw
fi

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart >&2
else
	echo "Type \"/etc/rc.d/init.d/%{name} start\" to start %{name} server"
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop >&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README README.PL
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(640,root,clamav) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/smtp-gated
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_examplesdir}/%{name}-%{version}
/usr/lib/tmpfiles.d/%{name}.conf
%attr(750,smtpgw,clamav) /var/run/%{name}
%attr(750,smtpgw,clamav) /var/spool/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smtp-gated.spec,v $
Revision 1.38  2012/03/28 07:28:12  arekm
- release 3

Revision 1.37  2012/01/31 11:55:01  baggins
- release 2

Revision 1.36  2012/01/31 11:32:11  baggins
- added tmpfiles config for systemd

Revision 1.35  2011/08/19 20:13:35  kosmo
- updated to 1.4.17

Revision 1.34  2010/08/23 11:40:34  gotar
- upgraded to 1.4.16.3

Revision 1.33  2009/02/04 21:17:16  dzeus
- up to 1.4.16.2

Revision 1.32  2008/10/25 15:32:31  blues
- proper group

Revision 1.31  2008/10/16 05:57:22  dzeus
- checking for linux/netfilter_ipv4.h... no, mode netfilter is broken

Revision 1.30  2008/10/14 18:34:50  dzeus
- enable-nat, enable-silent-econnreset, rel. 2

Revision 1.29  2008/09/19 22:21:33  duddits
- up to 1.4.16

Revision 1.28  2007/04/22 10:09:50  qboosh
- unified examplesdir

Revision 1.27  2007/04/21 18:48:18  zbyniu
- missing dir

Revision 1.26  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.24  2007/02/03 12:00:17  dzeus
- doc README.PL

Revision 1.23  2007/01/03 17:05:59  undefine
- up to 1.4.15.1

Revision 1.22  2006/10/29 08:41:31  kosmo
- updated to 1.4.14-rc1.
- please STBR for AC

Revision 1.21  2005/12/20 01:01:54  charles
- updated to 1.4.12 rc9

Revision 1.20  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.19  2005/12/01 13:43:06  gotar
- updated to rc8, STBR

Revision 1.18  2005/09/26 11:26:42  gotar
- updated md5

Revision 1.17  2005/09/21 10:13:11  gotar
- updated to 1.4.12-rc7, STBR

Revision 1.16  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.15  2005/03/30 08:13:19  gotar
- use PLD-ized config

Revision 1.14  2005/03/29 14:22:04  gotar
- added missing requires,
- useradd/chkconfig stuff,
- use clamav group, it's needed only for this purpose,
- STBR (rc because of memleak)

Revision 1.13  2005/03/23 12:37:42  gotar
- upgraded to 1.4.12-rc3

Revision 1.12  2005/03/14 22:47:21  gotar
- fixed %post, added lock dir

Revision 1.11  2005/03/11 18:19:31  gotar
- typo

Revision 1.10  2005/03/11 18:18:04  gotar
- pass %rpmcflags

Revision 1.9  2005/03/02 23:37:57  hunter
-comment out default config options as author asked
-release 1

Revision 1.8  2005/02/27 18:39:13  qboosh
- cosmetics, config(noreplace), don't install RH/Debian .init scripts
- don't require kernel packages

Revision 1.7  2005/02/27 16:42:41  hunter
-proper manual page name
-missing dirs

Revision 1.6  2005/02/27 15:35:08  hunter
--added spool dir.

Revision 1.5  2005/02/27 15:04:18  glen
- 754 permissions for init.d scripts

Revision 1.4  2005/02/27 14:27:53  hunter
-- +x on init script

Revision 1.3  2005/02/27 14:07:49  megabajt
- proper license

Revision 1.2  2005/02/27 13:36:47  hunter
-adapterized
-use init script
-pre/post start/stop

Revision 1.1  2005/02/27 13:11:27  hunter
-initial ble ble ble commit
